

.delivery_page {
    --font-jost: Jost, sans-serif;
    --font-raleway: Raleway, sans-serif;
    --color-orange: #FF6A00;
    --color-orange-24: #FF6A003D;
    --color-black: #171717;
    --color-gray: #666666;
    --color-gray2: #E2E2E2;
    --color-gray3: #F2F2F2;
    --color-white: #ffffff;
    --anim-ttl: .3s;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4rem;
    padding-bottom: 5rem;
}

/* .delivery_page > * {
    width: 100%;
} */

.delivery_page h2 {
    font-family: var(--font-raleway);
    font-weight: 700;
    font-size: 2.5rem;
    line-height: 3rem;
    color: var(--color-black);
}

/* section: delivery__block-title */
.delivery__block-title {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
}

.delivery__block-title h1 {
    font-family: var(--font-raleway);
    font-size: 3.5rem;
    font-weight: 700;
    line-height: 4rem;
    color: var(--color-black);
}

.delivery__block-title h1 .title-dot {
    color: var(--color-orange);
}

.delivery__block-title .delivery__block-types {
    --column: 1fr 1fr 1fr;
    display: grid;
    grid-template-columns: var(--column);
    align-items: end;
    gap: 0.625rem;
}

.delivery__block-title .delivery__block-types-item {
    border-radius: 1.5rem;
}

.delivery__block-title .delivery__block-types-title {
    padding: 12px 24px 12px 24px;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: var(--color-white);
    font-family: var(--font-raleway);
    font-weight: 700;
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--color-black);
}
.delivery__block-title .delivery__block-types-fast .delivery__block-types-title {
    color: var(--color-white);
}

.delivery__block-title .delivery__block-types-list {
    display: flex;
    flex-direction: column;
}

.delivery__block-title .delivery__block-types-list li {
    font-family: var(--font-jost);
    font-weight: 400;
    font-size: 1.25rem;
    line-height: 1.75rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    display: flex;
    gap: 0.5rem;
}
.delivery__block-title .delivery__block-types-list > li:last-child {
    border-bottom: none;
}

.delivery__block-title .delivery__block-types-list li svg {
    --size: 24px;
    display: none;
    width: var(--size);
    min-width: var(--size);
    max-width: var(--size);
    height: var(--size);
    min-height: var(--size);
    max-height: var(--size);
}


.delivery__block-title .delivery__block-types-item.delivery__block-types-info {

}
.delivery__block-title .delivery__block-types-item.delivery__block-types-info li {
    padding: 0.75rem 2rem 0.75rem 0;
    color: var(--color-gray);
    border-bottom-color: var(--color-gray2);
}


.delivery__block-title .delivery__block-types-item.delivery__block-types-free {
    background-color: var(--color-gray3);
}
.delivery__block-title .delivery__block-types-item.delivery__block-types-free li {
    color: var(--color-black);
    border-bottom-color: var(--color-white);
}


.delivery__block-title .delivery__block-types-item.delivery__block-types-fast {
    background-color: var(--color-orange);
}
.delivery__block-title .delivery__block-types-item.delivery__block-types-fast li {
    color: var(--color-white);
    border-bottom-color: var(--color-white);
}


/* section: delivery__block-countdown */
.delivery__block-countdown {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1.5rem;
    border: 2px solid var(--color-black);
    border-radius: 2rem;
    width: 100%;
}

.delivery__block-countdown .delivery__block-countdown-text {
    font-family: var(--font-jost);
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--color-black);
}


/* section: delivery__block-delivery-work */
.delivery__block-delivery-work {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    width: 100%;
}

.delivery__block-delivery-work .delivery__block-delivery-work-tab-list {
    display: flex;
    width: 100%;
    overflow-y: hidden;
    overflow-x: auto;
    gap: 1rem;
    padding-bottom: 0.5rem;
    padding-top: 0.5rem
}

.delivery__block-delivery-work .delivery__block-delivery-work-tab-list button {
    font-family: var(--font-raleway);
    font-size: 1.125rem;
    font-weight: 700;
    line-height: 1.5rem;
    white-space: nowrap;
    border-width: 2px;
    border-style: solid;
    border-color: var(--color-black);
    border-radius: 100px;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    background-color: var(--color-gray3);
    color: var(--color-black);
    transition: var(--anim-ttl);
}
.delivery__block-delivery-work .delivery__block-delivery-work-tab-list button:hover {
    border-color: var(--color-orange);
}
.delivery__block-delivery-work .delivery__block-delivery-work-tab-list button.active {
    cursor: default;
    border-color: var(--color-orange);
    background-color: var(--color-orange);
    color: var(--color-white);
}

.delivery__block-delivery-work .delivery__block-delivery-work-stages {

}

.delivery__block-delivery-work .delivery__block-delivery-work-tab {
    opacity: 0;
    height: 0;
    overflow: hidden;
    transition: height var(--anim-ttl) ease, opacity var(--anim-ttl) ease;
}

.delivery__block-delivery-work .delivery__block-delivery-work-tab.active {
    overflow: visible;
}

.delivery__block-delivery-work .delivery__block-delivery-work-tab.active:not([style*="height"]) {
    height: auto;
    opacity: 1;
}

.delivery__block-delivery-work .delivery__block-delivery-stages-list {
    display: flex;
    flex-direction: column;
    gap: 0.375rem;
}

.delivery__block-delivery-work .delivery__block-delivery-stages-list li {
    padding: 0 2rem;
    display: flex;
    gap: 2rem;
    align-items: center;
    background-color: var(--color-gray3);
    border-radius: 2rem;
}

.delivery__block-delivery-work .delivery__block-delivery-stage-item-icon {
    --size: 200px;
    width: var(--size);
    min-width: var(--size);
    max-width: var(--size);
    height: var(--size);
    min-height: var(--size);
    max-height: var(--size);
}

.delivery__block-delivery-work .delivery__block-delivery-stage-item-icon img {
    max-height: 100%;
    max-width: 100%;
}

.delivery__block-delivery-work .delivery__block-delivery-stage-item-info {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    padding: 0 1rem;
}
.delivery__block-delivery-work .delivery__block-delivery-stage-item-info-name {
    font-family: var(--font-raleway);
    font-weight: 700;
    font-size: 2rem;
    line-height: 2.5rem;
    color: var(--color-black);
}
.delivery__block-delivery-work .delivery__block-delivery-stage-item-info-description {
    font-family: var(--font-jost);
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--color-gray);
}


/* section: delivery__block-customs-clearance */
.delivery__block-customs-clearance {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
}

.delivery__block-customs-clearance h2 {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.delivery__block-customs-clearance .title-important {
    height: 41px;
    display: flex;
    align-items: center;

    border-radius: 100px;
    padding-top: 12px;
    padding-right: 20px;
    padding-bottom: 12px;
    padding-left: 20px;
    background-color: var(--color-orange);

    font-family: var(--font-raleway);
    font-weight: 600;
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--color-white);
}

.delivery__block-customs-clearance .delivery__block-customs-clearance-text {
    font-family: var(--font-jost);
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--color-black);
}


/* section: delivery__block-have-questions */
.delivery__block-have-questions {
    --width-left: 879px;
    width: 100%;
    padding: 2.5rem;
    border-radius: 2rem;
    background-color: var(--color-orange-24);
    position: relative;
}

.delivery__block-have-questions .delivery__block-have-questions-wrap {
    display: flex;
    flex-direction: column;
    max-width: var(--width-left);
    width: 100%;
}

.delivery__block-have-questions h2 {
    margin-bottom: 0.5rem;
}

.delivery__block-have-questions .delivery__block-have-questions-text {
    margin-bottom: 1.5rem;
    font-family: var(--font-jost);
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--color-black);
}

.delivery__block-have-questions .delivery__block-have-questions-button button {
    min-width: 240px;
    border-radius: 1rem;
    padding: 1rem 2rem;
    background-color: var(--color-orange);

    font-family: var(--font-raleway);
    font-weight: 700;
    font-size: 1.125rem;
    line-height: 1.5rem;
    color: var(--color-white);
    transition: var(--anim-ttl);
}

.delivery__block-have-questions .delivery__block-have-questions-button button:hover {
    opacity: .7;
}

.delivery__block-have-questions .bg-img {
    position: absolute;
    position: absolute;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    transition: var(--anim-ttl);
}
.delivery__block-have-questions .bg-img-1 {
    width: 146px;
    height: 152px;
    top: 40px;
    right: 466px;
}
.delivery__block-have-questions .bg-img-2 {
    width: 264px;
    height: 160px;
    bottom: 0;
    right: 220px;
}
.delivery__block-have-questions .bg-img-3 {
    width: 192px;
    height: 202px;
    top: 8px;
    right: 24px;
}


@media (max-width: 1400px) {
    .delivery__block-have-questions {
        padding-bottom: 200px;
    }
    .delivery__block-have-questions .bg-img-1 {
        bottom: 36px;
        left: 128px;
        top: unset;
        right: unset;
    }
    .delivery__block-have-questions .bg-img-2 {
        bottom: 13px;
        left: 306px;
        top: unset;
        right: unset;
    }
    .delivery__block-have-questions .bg-img-3 {
        bottom: 73px;
        left: 646px;
        top: unset;
        right: unset;
    }
}

@media (max-width: 1350px) {
    .delivery__block-title h1 {
        font-size: 2.5rem;
        line-height: 3rem;
    }
    .delivery__block-title .delivery__block-types-item.delivery__block-types-info {
        display: none;
    }

    .delivery__block-title .delivery__block-types-title {
        border-bottom-width: 0px;
        padding: 0;
        margin-bottom: 0.5rem;
    }

    .delivery__block-title .delivery__block-types {
        --column: 1fr 1fr;
    }

    .delivery__block-title .delivery__block-types-item {
        height: 100%;
        padding: 1rem;
    }

    .delivery__block-title .delivery__block-types-list {
        gap: 0.5rem;
    }

    .delivery__block-title .delivery__block-types-list li {
        display: none;
        white-space: wrap;
        border-bottom-width: 0px;
        padding: 0;
        font-size: 1rem;
        line-height: 1.5rem;
    }

    .delivery__block-title .delivery__block-types-list li.with-icon {
        display: flex;
    }
    
    .delivery__block-title .delivery__block-types-list li.with-icon svg {
        display: block;
    }
}

@media (max-width: 991px) {
    .delivery__block-title h1 {
        font-size: 2rem;
        line-height: 2.5rem;
    }
    .delivery_page h2 {
        font-size: 1.9rem;
        line-height: 2.4rem;
    }
    .delivery__block-countdown .delivery__block-countdown-text {
        font-size: 1.25rem;
        line-height: 1.75rem;
    }
    .delivery__block-countdown {
        gap: 0.5rem;
    }

    .delivery__block-delivery-work .delivery__block-delivery-work-tab-list button {
        font-size: 1rem;
        line-height: 1.25rem;
    }
    .delivery__block-delivery-work .delivery__block-delivery-stage-item-icon {
        --size: 160px;
    }

    .delivery__block-delivery-work .delivery__block-delivery-stage-item-info-name {
        font-size: 1.75rem;
        line-height: 2.25rem;
    }

    .delivery__block-delivery-work .delivery__block-delivery-stage-item-info-description {
        font-size: 1.25rem;
        line-height: 1.75rem;
    }

    .delivery__block-customs-clearance .title-important {
        font-size: 1.25rem;
        line-height: 1.75rem;
        padding: 0.5rem 1.25rem 0.5rem 1.25rem;
        height: auto;
    }
    .delivery__block-customs-clearance .delivery__block-customs-clearance-text {
        font-size: 1.25rem;
        line-height: 1.75rem;
    }

    .delivery__block-have-questions {
        padding: 2rem;
        padding-bottom: 200px;
    }
}

@media (max-width: 900px) {
    .delivery__block-have-questions {
        padding-bottom: 130px;
    }
    .delivery__block-have-questions .bg-img-1 {
        width: 87px;
        height: 89px;
        bottom: 18px;
        left: 16px;
        top: unset;
        right: unset;
    }
    .delivery__block-have-questions .bg-img-2 {
        width: 142px;
        height: 101px;
        bottom: 6px;
        left: 169px;
        top: unset;
        right: unset;
    }
    .delivery__block-have-questions .bg-img-3 {
        width: 108px;
        height: 112px;
        bottom: 73px;
        left: 347px;
        top: unset;
        right: unset;
    }
}

@media (max-width: 767px) {
    .delivery_page {
        gap: 2.5rem;
        padding-bottom: 2.5rem;
    }
    .delivery_page h2 {
        font-size: 1.5rem;
        line-height: 2rem;
    }
    .delivery__block-countdown .delivery__block-countdown-text {
        font-size: 1rem;
        line-height: 1.5rem;
    }
    .delivery__block-title .delivery__block-types-item {
        height: auto;
    }
    .delivery__block-title .delivery__block-types {
        --column: 1fr;
    }

    .delivery__block-countdown {
        padding: 1rem;
    }

    .delivery__block-delivery-work .delivery__block-delivery-work-tab-list button {
        font-family: var(--font-jost);
        font-size: 0.875rem;
        line-height: 1.25rem;
        font-weight: 400;
        border-width: 1.5px;
        padding: 0.25rem 0.75rem;
    }

    .delivery__block-delivery-work .delivery__block-delivery-stages-list li {
        display: flex;
        flex-direction: column;
        gap: 0;
        padding: 0 1rem 1.5rem 0;
        text-align: center;
    }

    .delivery__block-delivery-work .delivery__block-delivery-stage-item-info-name {
        font-size: 1.5rem;
        line-height: 2rem;
    }

    .delivery__block-delivery-work .delivery__block-delivery-stage-item-info-description {
        font-size: 1rem;
        line-height: 1.5rem;
    }

    .delivery__block-customs-clearance .title-important {
        font-size: 1rem;
        line-height: 1.5rem;
        padding: 0.3rem 1rem 0.3rem 1rem;
        font-weight: 500;
        height: auto;
    }

    .delivery__block-customs-clearance {
        gap: 0.5rem;
    }

    .delivery__block-customs-clearance .delivery__block-customs-clearance-text {
        font-size: 1rem;
        line-height: 1.5rem;
    }

    .delivery__block-have-questions {
        border-radius: 1rem;
        padding: 1rem;
        padding-bottom: 130px;
    }

    .delivery__block-have-questions .delivery__block-have-questions-text {
        font-size: 1rem;
        line-height: 1.5rem;
    }
}

@media (max-width: 600px) {
    .delivery__block-have-questions .bg-img-1 {
        width: 67px;
        height: 69px;
        bottom: 36px;
        left: 16px;
        top: unset;
        right: unset;
    }
    .delivery__block-have-questions .bg-img-2 {
        width: 122px;
        height: 81px;
        bottom: 13px;
        left: 117px;
        top: unset;
        right: unset;
    }
    .delivery__block-have-questions .bg-img-3 {
        width: 88px;
        height: 92px;
        bottom: 43px;
        left: 286px;
        top: unset;
        right: unset;
    }
}

@media (max-width: 440px) {
    .delivery__block-have-questions .bg-img-1 {
        bottom: 36px;
        left: 16px;
    }
    .delivery__block-have-questions .bg-img-2 {
        bottom: 13px;
        left: 97px;
    }
    .delivery__block-have-questions .bg-img-3 {
        bottom: 43px;
        left: 266px;
    }
}

@media (max-width: 400px) {
    .delivery__block-have-questions .bg-img-2 {
        left: 63px;
    }
    .delivery__block-have-questions .bg-img-3 {
        bottom: 30px;
        left: 196px;
    }
}